WhatsApp Meta agent
List Meta agent connector tools
The operations the agent can call on this connector.
GET
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
phone-numbers
/
{phone_number_id}
/
meta-agent
/
connectors
/
{connector_id}
/
tools
List Meta agent connector tools
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/connectors/{connector_id}/tools \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/connectors/{connector_id}/tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/connectors/{connector_id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"request_definition": {
"method": "GET",
"path": "/orders/{order_id}",
"path_parameters": {},
"query_parameters": {},
"headers": {},
"body": {
"content_type": "application/json",
"params": {},
"required": [
"<string>"
]
}
},
"user_auth_required": true,
"user_auth_action_config": {
"user_action_tool_type": "auth",
"user_auth_token_path": "<string>",
"refresh_token_path": "<string>",
"expires_at_path": "<string>",
"expires_at_type": "absolute"
},
"transformation_spec": {
"version": 1,
"steps": [
{
"kind": "allowlist",
"target": "<string>",
"params": "<string>"
}
]
}
}
]Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
The ID of the WhatsApp phone number the Meta agent runs on
The ID of the connector
Query Parameters
Page number
Number of items to take
Next page token (Only used on special endpoints)
Response
200 - application/json
Show child attributes
Show child attributes
Marks a tool that signs the customer in: where Meta reads the customer's token in the response.
Show child attributes
Show child attributes
Up to 5 steps that trim the response before the agent reads it.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List Meta agent connector tools
